Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSStylableElement

All Superinterfaces:
  Element, Node

All Known Implementing Classes:
  BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMDefsElement, SVGOMDescElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEFloodElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFESpecularLightingElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMissingGlyphElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMUseElement, SVGPointShapeElement, SVGStylableElement, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement

    public interface CSSStylableElement

extends Element

This interface must be implemented by the DOM elements which needs CSS support.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`StyleMap` | `getComputedStyleMap(String pseudoElement)` Returns the computed style of this element/pseudo-element.
`ParsedURL` | `getCSSBase()` Returns the CSS base URL of this element.
`String` | `getCSSClass()` Returns the class of this element.
`StyleDeclarationProvider` | `getOverrideStyleDeclarationProvider()` Returns the object that gives access to the underlying `StyleDeclaration` for the override style of this element.
`String` | `getXMLId()` Returns the ID of this element.
`boolean` | `isPseudoInstanceOf(String pseudoClass)` Tells whether this element is an instance of the given pseudo class.
`void` | `setComputedStyleMap(String pseudoElement, StyleMap sm)` Sets the computed style of this element/pseudo-element.

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getComputedStyleMap

    StyleMap getComputedStyleMap(String pseudoElement)

  Returns the computed style of this element/pseudo-element.

### setComputedStyleMap

    void setComputedStyleMap(String pseudoElement,
                             StyleMap sm)

  Sets the computed style of this element/pseudo-element.

### getXMLId

    String getXMLId()

  Returns the ID of this element.

### getCSSClass

    String getCSSClass()

  Returns the class of this element.

### getCSSBase

    ParsedURL getCSSBase()

  Returns the CSS base URL of this element.

### isPseudoInstanceOf

    boolean isPseudoInstanceOf(String pseudoClass)

  Tells whether this element is an instance of the given pseudo class.

### getOverrideStyleDeclarationProvider

    StyleDeclarationProvider getOverrideStyleDeclarationProvider()

  Returns the object that gives access to the underlying `StyleDeclaration` for the override style of this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.